opensaml::saml2md::IndexedEndpointManager< _Tx > Class Template Reference

Template for processing indexed endpoint information. More...

`#include <saml/saml2/metadata/EndpointManager.h>`

Inheritance diagram for opensaml::saml2md::IndexedEndpointManager< _Tx >:
[legend]
Collaboration diagram for opensaml::saml2md::IndexedEndpointManager< _Tx >:
[legend]

## Public Member Functions

| IndexedEndpointManager (const typename std::vector< _Tx * > &endpoints)
| Constructor.
const _Tx * | getDefault () const
| Returns the default endpoint in the set.
const _Tx * | getByIndex (unsigned short index) const
| Returns indexed endpoint.
const _Tx * | getByBinding (const XMLCh *binding) const
| Returns endpoint that supports a particular binding.
Public Member Functions inherited from opensaml::saml2md::EndpointManager< _Tx >
| EndpointManager (const typename std::vector< _Tx * > &endpoints)
| Constructor.
const _Tx * | getByBinding (const XMLCh *binding) const
| Returns endpoint that supports a particular binding.

## Additional Inherited Members

Protected Attributes inherited from opensaml::saml2md::EndpointManager< _Tx >
const std::vector< _Tx * > & | m_endpoints
| Reference to endpoint array.

## Detailed Description

template<class _Tx>
class opensaml::saml2md::IndexedEndpointManager< _Tx >

Template for processing indexed endpoint information.

Parameters

  _Tx | the endpoint type being managed

## Constructor & Destructor Documentation

## IndexedEndpointManager()

template<class _Tx>

opensaml::saml2md::IndexedEndpointManager< _Tx >::IndexedEndpointManager | ( | const typename std::vector< _Tx * > & | endpoints | ) |

inline

Constructor.

Parameters

  endpoints | array of endpoints to manage

## Member Function Documentation

## getByBinding()

template<class _Tx>

const _Tx * opensaml::saml2md::IndexedEndpointManager< _Tx >::getByBinding | ( | const XMLCh * | binding | ) | const

inline

Returns endpoint that supports a particular binding.

Parameters

  binding | binding to locate

Returns
  a supporting endpoint, favoring the default, or nullptr

## getByIndex()

template<class _Tx>

const _Tx * opensaml::saml2md::IndexedEndpointManager< _Tx >::getByIndex | ( | unsigned short | index | ) | const

inline

Returns indexed endpoint.

Parameters

  index | index to locate

Returns
  matching endpoint, or nullptr

## getDefault()

template<class _Tx>

const _Tx * opensaml::saml2md::IndexedEndpointManager< _Tx >::getDefault | ( |  | ) | const

inline

Returns the default endpoint in the set.

Returns
  the default endpoint

The documentation for this class was generated from the following file:

- saml/saml2/metadata/EndpointManager.h